<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class CheckSignXMl
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $Authorization= $_SERVER['HTTP_AUTHORIZATION'];
       if($Authorization=="hR9pQFeD3cGqbXW4rvE2LNJUi57DyFZ0"){
           return $next($request);
       }else{
           return response(['code'=>'-1','msg'=>"验证token失败"]);
       }

    }
}
